"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePubSubMessage = void 0;
const tslib_1 = require("tslib");
function handlePubSubMessage(args) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { message, parseJson = true, handler, context } = args;
        let data = Buffer.from(message.data, 'base64').toString().trim();
        if (parseJson) {
            data = JSON.parse(data);
        }
        return handler({
            message,
            data,
            context,
        });
    });
}
exports.handlePubSubMessage = handlePubSubMessage;
