import { FastifyInstance, FastifyServerOptions } from 'fastify';
import { PubSubConfig, PubSubHandler } from '../types';
export interface PubSubServerConfig extends Omit<PubSubConfig, 'handler'> {
    port?: number;
    address?: string;
    fastifyConfig?: FastifyServerOptions;
}
export interface CreatePubSubHandlerResponse {
    listen: () => Promise<void>;
    fastify: FastifyInstance;
}
export declare function createPubSubServer<T = unknown>(handler: PubSubHandler<T>, config?: PubSubServerConfig): CreatePubSubHandlerResponse;
