"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubServer = void 0;
const tslib_1 = require("tslib");
const fastify_1 = require("fastify");
const fastify_plugin_1 = require("./fastify-plugin");
function createPubSubServer(handler, config = {}) {
    const { fastifyConfig, port = process.env.PORT || 8000, address = '0.0.0.0', parseJson = true, path = '/', onError, } = config;
    const fastify = fastify_1.default(Object.assign({}, fastifyConfig));
    fastify.register(fastify_plugin_1.pubSubFastifyPlugin, { handler, parseJson, path, onError });
    return {
        listen() {
            return tslib_1.__awaiter(this, void 0, void 0, function* () {
                yield fastify.listen(port, address);
            });
        },
        fastify,
    };
}
exports.createPubSubServer = createPubSubServer;
