import { Static } from '@sinclair/typebox';
export interface PubSubConfig {
    handler: PubSubHandler;
    onError?: OnErrorHandler;
    parseJson?: boolean;
    path?: string;
}
export declare const PubSubMessage: import("@sinclair/typebox").TObject<{
    attributes: import("@sinclair/typebox").TDict<import("@sinclair/typebox").TString>;
    data: import("@sinclair/typebox").TString;
    messageId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
}>;
export declare type PubSubMessageType = Static<typeof PubSubMessage>;
export declare const PubSubRequest: import("@sinclair/typebox").TObject<{
    message: import("@sinclair/typebox").TObject<{
        attributes: import("@sinclair/typebox").TDict<import("@sinclair/typebox").TString>;
        data: import("@sinclair/typebox").TString;
        messageId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>;
    subscription: import("@sinclair/typebox").TString;
}>;
export declare type PubSubRequestType = Static<typeof PubSubRequest>;
export declare class PubSubHandlerResponse {
    statusCode?: number;
}
export declare type PubSubHandler<T = any> = (args: {
    message: PubSubMessageType;
    data?: T;
    context?: unknown;
}) => Promise<PubSubHandlerResponse | void> | PubSubHandlerResponse | void;
export declare type OnErrorHandler = (error: unknown) => void | Promise<void>;
